---------------------
PatchSet 4893 
Date: 2007/06/29 07:56:59
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Fix edge case where CNAME recursion took so long a DNS timeout occurs.
Also handles any other error that prevets DNS returning results to CNAME recursor.

Members: 
	src/ipcache.cc:1.9.2.34->1.9.2.35 

Index: squid3/src/ipcache.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ipcache.cc,v
retrieving revision 1.9.2.34
retrieving revision 1.9.2.35
diff -u -r1.9.2.34 -r1.9.2.35
--- squid3/src/ipcache.cc	26 Jun 2007 13:15:26 -0000	1.9.2.34
+++ squid3/src/ipcache.cc	29 Jun 2007 07:56:59 -0000	1.9.2.35
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ipcache.cc,v 1.9.2.34 2007/06/26 13:15:26 amosjeffries Exp $
+ * $Id: ipcache.cc,v 1.9.2.35 2007/06/29 07:56:59 amosjeffries Exp $
  *
  * DEBUG: section 14    IP Cache
  * AUTHOR: Harvest Derived
@@ -792,6 +792,11 @@
     if(cbdata == NULL)
         return;
 
+    /* IFF addrs is NULL (Usually an Error or Timeout occured on lookup.) */
+    /* Ignore it and HOPE that we got some Additional records to use.     */
+    if(addrs == NULL)
+        return;
+
     debugs(14, 5, "ipcacheHandleCnameRecurse: Handling CNAME recursion. CBDATA('" << gcb->data << "')");
 
     gcb->unwrap(&i);
